//
//  BobTableViewCell.m
//  Bob
//
//  Created by Bitaxon-mac on 16/4/27.
//  Copyright © 2016年 administrator-mac. All rights reserved.
//

#import "BobHeaderView.h"

@implementation BobHeaderView

-(id)initWithFrame:(CGRect)frame{
    self = [super initWithFrame:frame];
    if (self) {
        self.layer.borderColor=[[UIColor whiteColor]CGColor];
        self.layer.borderWidth= 1.0f;
        self.layer.masksToBounds = YES;
        self.layer.cornerRadius = 20.0f;
    }
    return self;
}
-(void)setDescribeLabel:(NSMutableArray *)arr{
    for (int i = 0;i <arr.count;i++) {
        UILabel *describeLabel=[[UILabel alloc]init];
        describeLabel.frame=CGRectMake(10, 0 + 50*i,self.frame.size.width , 50);
        describeLabel.font=[UIFont systemFontOfSize:14];
        describeLabel.text = arr[i];
        [self addSubview:describeLabel];
        
        if (arr.count != i) {
            UILabel *line = [UILabel new];
            line.frame = CGRectMake(10, 0 + 50*i,self.frame.size.width - 20 , 1);
            line.backgroundColor = [UIColor whiteColor];
            [self addSubview:line];
        }
    }
}
- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization code
}

@end
