//
//  ViewController.m
//  Bob
//
//  Created by Bitaxon-mac on 16/4/27.
//  Copyright © 2016年 administrator-mac. All rights reserved.
//

#import "ViewController.h"
#import "BobHeaderView.h"
#import "BobHeadView.h"
#import "BobFootView.h"
@interface ViewController ()<UITableViewDelegate,UITableViewDataSource>{
    NSMutableArray *arr;
}
@property(strong,nonatomic)UITableView *tableView;
@property(strong,nonatomic)BobHeaderView *headerView;
@property(strong,nonatomic)BobHeadView *headView;
@property(strong,nonatomic)BobFootView *footView;
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    
    arr = [NSMutableArray new];
    [arr addObject:@"我喜欢你0"];
    [arr addObject:@"我喜欢你1"];
    [arr addObject:@"我喜欢你2"];
    
    _headView = [[BobHeadView alloc]initWithFrame:CGRectMake(0, 0, self.view.frame.size.width, 100)];

    _footView = [[BobFootView alloc]initWithFrame:CGRectMake(0, 0, self.view.frame.size.width, 70)];
    UITapGestureRecognizer *tap = [[UITapGestureRecognizer alloc]initWithTarget:self action:@selector(addDta:)];
    [_footView addGestureRecognizer:tap];
    
    _tableView = [[UITableView alloc]initWithFrame:CGRectMake(0, 0, self.view.frame.size.width, self.view.frame.size.height) style:UITableViewStylePlain];
    _tableView.delegate = self;
    _tableView.dataSource = self;
    _tableView.separatorStyle = UITableViewCellSeparatorStyleNone;
    _tableView.backgroundColor = [UIColor greenColor];
    _tableView.tableHeaderView = _headView;
    _tableView.tableFooterView = _footView;
    [self.view addSubview:_tableView];
}
-(NSInteger)numberOfSectionsInTableView:(UITableView *)tableView{
    return 1;
}
-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section{
    return 0;
}
-(UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath{
    return nil;
}
-(CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath{
    return 0;
}
-(CGFloat)tableView:(UITableView *)tableView heightForHeaderInSection:(NSInteger)section{
    return 10 + arr.count * 50;
}
-(UIView *)tableView:(UITableView *)tableView viewForHeaderInSection:(NSInteger)section{
    UIView *headerView = [UIView new];
    headerView.frame = CGRectMake(0, 0, self.view.frame.size.width , 10 + arr.count * 50);
    _headerView = [[BobHeaderView alloc]initWithFrame:CGRectMake(20, 5, self.view.frame.size.width - 40, arr.count * 50)];
    [_headerView setDescribeLabel:arr];
    [headerView addSubview:_headerView];
    return headerView;
}

-(void)addDta:(UITapGestureRecognizer *)tgs{
    [arr addObject:[NSString stringWithFormat:@"我喜欢你%zi",arr.count + 1]];
    [_tableView reloadData];
}
- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
